#
# spec file for package yasm (Version 0.7.1)
#
# based on the spec file from openSUSE:
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# norootforbuild


Name:           yasm
Version:        0.7.1
Release:        0.pm.0
License:        BSD 3-Clause
Group:          Development/Languages/Other
Summary:        YASM is a complete rewrite of the NASM assembler
Url:            http://www.tortall.net/projects/yasm/

Source0:        yasm-0.7.1.tar.bz2

AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python

%description
YASM is a complete rewrite of the NASM assembler. It is designed from
the ground up to allow for multiple syntaxes to be supported (e.g.,
NASM, TASM, GAS, etc.) in addition to multiple output object formats.
Another primary module of the overall design is an optimizer module.
Actually it supports ix86 and AMD64, next will be PowerPC



Authors:
--------
    Peter Johnson <peter@tortall.net>

%debug_package
%package devel
License:        BSD 3-Clause
Summary:        YASM development package
Group:          Development/Languages/Other
AutoReqProv:    on
Requires:       %{name} = %{version}

%description devel
This package includes everything needed to develop programs that use
libyasm.



Authors:
--------
    Peter Johnson <peter@tortall.net>

%prep
%setup -q

%build
export CFLAGS="%{optflags}" 
%{configure} --prefix=/usr --with-gnu-ld --enable-python
%{__make} %{?jobs:-j%{jobs}}

%install
%{makeinstall}

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS Artistic.txt BSD.txt COPYING GNU_GPL-2.0
%doc GNU_LGPL-2.0
%{_bindir}/*
%{_mandir}/man7/*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
/usr/include/*
%{_libdir}/lib*.a

%changelog
* Thu Aug 14 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- first build for packman - version 0.7.1
* Tue Oct 30 2007 uli@suse.de
- update -> 0.6.2; new features since 0.4.0:
  * AMD SSE4a and SSE5 instruction support.
  * AMD LZCNT, POPCNT, EXTRQ, INSERTQ, MOVNTSD, and MOVNTSS instruction
  support.
  * 16-bit float value (IEEE-754r half precision) support (desirable for
  SSE5).
  * Added "oword", "do", and "reso" aliases for "dqword", "ddq", "resdq".
  * Added easier RIP-relative addressing with rel/abs modifiers and
  "default" directive to set default rel/abs mode (see AMD64 for details).
  * CPP preprocessor. Contributed by Paul Barker
  * GAS local labels (1:, 1f, 1b) support. Noticed by Jung Lee
  * GAS .org fill parameter support. Noticed by Jung Lee and Xiaoming Mo
  * Command line aliases for -d (-D) and -u (-U) for increased NASM
  command line compatibility. Requested by Mike Frysinger
  * SSE4.1 and SSE4.2 instruction support. Noticed by arkon@ragestorm.net
  * Support for .set directive in GAS parser. Contributed by Sebastian
  D'Alessandro
  * -E and -s command line options, similar to NASM options of the same
  names (redirect errors to file and stdout, respectively). Suggested by:
  pingved@gmail.com
  * -Wsize-override option, to turn on warnings for duplicated size
  overrides such as "dword dword" or "word word". Suggested by:
  pingved@gmail.com
  * Reconcile generated prefix order with GAS, to suggested Intel ordering
  of SEG, ADDR, DATA, LOCKREP (AMD doesn't care).
  * Fix test failure in Mach-O object format. Reported by many (e.g.
  [#105]), first by Christophe Malvasio
  * end_prolog macro equivalent to end_prologue (for Win64 structured
  exception handling). Suggested by Brian Gladman
  * Allow RIP-relative cross-section references in bin output.
  * Mach-O custom sections: #102
  * Brand-new "virtual" multi-pass optimizer that automatically generates
  much smaller code for jumps and immediates.
  * Support for Mach-O object format used in MacOS X, including both the
  32-bit (x86) and 64-bit (AMD64) versions (contributed by Henryk
  Richter).
  * Support for structured exception handling on Win64.
  * Support for RDOFF2 (.rdf) object format.
  * Support for STRICT keyword in NASM syntax.
  * Rewritten NASM and GAS parsers (now recursive descent rather than
  Bison-based).
  * Yasm no longer defaults to reading from standard input if no files are
  specified; standard input can be specified with "-".
  * Support for arithmetic on single-character constants.
  * Support for OUTPUT_FORMAT as an alias for YASM_OBJFMT.
  * Support for CodeView? 8.0 source debugging (as used by Visual Studio
  2005).
  * Fixed -I support to properly handle relative paths (now the search
  pattern is essentially identical to most C compilers). This change is
  backwards incompatible (to both NASM and earlier Yasm versions), but is
  much more consistent.
  * Standard macros that provide version information: __YASM_MAJOR__,
  __YASM_MINOR__, __YASM_SUBMINOR__, __YASM_BUILD__, __YASM_VERSION_ID__
  and __YASM_VER__.
  * Aliases for AMD64 object formats: "win64" and "elf64" (these
  automatically set the machine to "amd64").
  * "x64" alias for Win64 object format (for easier use with Visual
  Studio).
  * DWARF2 source debugging (enable with "-g dwarf2").
  * GAS parser good enough to take GCC output for both AMD64 and 32-bit
  x86 (including DWARF2 debug information).
  * Specifying "amd64" as the machine (or using a 64-bit object format)
  automatically sets BITS 64.
* Tue May 29 2007 pth@suse.de
- Split off headers and .so symlinks to -devel subpackage.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jul 04 2005 sf@suse.de
- fix missing string function declarations
* Wed Apr 27 2005 meissner@suse.de
- fixed one stack overflow.
* Mon Mar 21 2005 olh@suse.de
- fix memory corruption in genmacro while handling empty lines
  or lines with whitespaces only
  use RPM_OPT_FLAGS, build with icecream
* Thu Feb 10 2005 sf@suse.de
- update to version 0.4.0
- added man pages
* Fri Nov 12 2004 ro@suse.de
- fixed file list
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr and %%run_dlconfig
* Wed Nov 12 2003 sf@suse.de
- initial release 0.3.0
